Package com.avaya.clientservices.media

## Enum ForwardErrorCorrection

- java.lang.Object
- - java.lang.Enum<ForwardErrorCorrection>
  - - com.avaya.clientservices.media.ForwardErrorCorrection

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ForwardErrorCorrection>`

      public enum ForwardErrorCorrection
      extends java.lang.Enum<ForwardErrorCorrection>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` |
    `PROPRIETARY` |
    `RFC5109_FEC` |
    `RFC5109_RED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ForwardErrorCorrection` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ForwardErrorCorrection[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ForwardErrorCorrection NONE

    - #### RFC5109_RED

          public static final ForwardErrorCorrection RFC5109_RED

    - #### RFC5109_FEC

          public static final ForwardErrorCorrection RFC5109_FEC

    - #### PROPRIETARY

          public static final ForwardErrorCorrection PROPRIETARY

  - ### Method Detail

    - #### values

          public static ForwardErrorCorrection[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForwardErrorCorrection c : ForwardErrorCorrection.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForwardErrorCorrection valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null